您好,匿名用户

ubuntu16.04安装python的requests模块失败,怎么解决?

0 投票

最近在尝试用python写爬虫,需要用到requests模块,却安装不上。
系统ubuntu16.04, 使用系统默认的python2.7. 运行python代码时,报错:
p@G :~/Desktop$ sudo apt-get install python-requests
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies.
bcloud : Depends: python3-crypto but it is not going to be installed

      Depends: python3-pyinotify but it is not going to be installed
      Depends: python3-keyring but it is not going to be installed

python-requests : Depends: python-urllib3 (>= 1.13.1) but it is not going to be installed

               Depends: python-chardet but it is not going to be installed
               Depends: python-urllib3 (< 1.13.2) but it is not going to be installed

E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

尝试更新软件源,未解决。
尝试安装python3-crypto等模块,未解决。
百度说,可能是PPA版本问题,但未安装和删除过PPA.
这是什么问题?
Any help will be welcomed!!

用户头像 提问 2017年 6月9日 @ hacker 中士 (1,132 威望)
分享到:

1个回答

0 投票

人生苦短, 快用ANACONDA

conda install xxx 打爆一切

用户头像 回复 2017年 6月9日 @ Wukong 上士 (1,535 威望)
提一个问题:

相关问题

0 投票
1 回复 77 阅读
用户头像 提问 2017年 6月7日 @ Hermes 上等兵 (471 威望)
0 投票
0 回复 89 阅读
0 投票
1 回复 187 阅读
用户头像 提问 2017年 5月10日 @ Jayce 中士 (1,071 威望)
0 投票
1 回复 103 阅读
+1 投票
1 回复 188 阅读
用户头像 提问 2013年 9月8日 @ Irelia 中士 (1,077 威望)

欢迎来到随意问技术百科, 这是一个面向专业开发者的IT问答网站,提供途径助开发者查找IT技术方案,解决程序bug和网站运维难题等。
温馨提示:本网站禁止用户发布与IT技术无关的、粗浅的、毫无意义的或者违法国家法规的等不合理内容,谢谢支持。

欢迎访问随意问技术百科,为了给您提供更好的服务,请及时反馈您的意见。
...